org.modeshape.jcr

## Class RepositoryConfiguration.Clustering

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.Clustering

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.Clustering
      extends Object

  Class holding the clustering configuration for a repository.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfiguration.Clustering(Document clusteringDoc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jgroups.Channel` | `getChannel()` Attempt to get the correct channel from the environment, if the environment has specified one.
    `String` | `getChannelConfiguration()`
    `String` | `getChannelProviderClassName()`
    `String` | `getClusterName()`
    `Document` | `getDocument()`
    `boolean` | `isEnabled()` Checks whether clustering is enabled or not, based on a) JGroups being in the classpath and b) a clustering configuration having been provided.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.Clustering

          public RepositoryConfiguration.Clustering(Document clusteringDoc)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Checks whether clustering is enabled or not, based on a) JGroups being in the classpath and b) a clustering configuration having been provided.
      Returns:
        true if clustering is enabled, or false otherwise

    - #### getChannelProviderClassName

          public String getChannelProviderClassName()

    - #### getClusterName

          public String getClusterName()

    - #### getChannelConfiguration

          public String getChannelConfiguration()

    - #### getDocument

          public Document getDocument()

    - #### getChannel

          public org.jgroups.Channel getChannel()
                                         throws Exception

      Attempt to get the correct channel from the environment, if the environment has specified one.
      Returns:
        the environment's channel, if defined; may be null if the environment doesn't provide a channel and the `channel provider` should be used
      Throws:
        `Exception` - if there is a problem getting the channel from the environment

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.